summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPeter 'Pita' Martischka <petermartischka@googlemail.com>2011-08-02 22:28:17 +0100
committerPeter 'Pita' Martischka <petermartischka@googlemail.com>2011-08-02 22:28:17 +0100
commit051589ed47968dbfbf3a1c124736556d263dde92 (patch)
tree9e84bd76e3f2b3df94229cd1276b0a956d28ac76 /bin
parentfe5bcabddf03b78612785fb019bcd6a5ac33cf7d (diff)
downloadetherpad-lite-051589ed47968dbfbf3a1c124736556d263dde92.zip
Allow starting as root after input a silly prompt
Diffstat (limited to 'bin')
-rwxr-xr-xbin/run.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/bin/run.sh b/bin/run.sh
index e89e3af9..b5f85161 100755
--- a/bin/run.sh
+++ b/bin/run.sh
@@ -11,9 +11,14 @@ fi
#Stop the script if its started as root
if [ "$(id -u)" -eq 0 ]; then
- echo "You shouldn't start Etherpad-Lite as root!" 1>&2
- echo "Use authbind if you want to use a port lower than 1024 -> http://en.wikipedia.org/wiki/Authbind" 1>&2
- exit 1
+ echo "You shouldn't start Etherpad-Lite as root!"
+ echo "Please type 'Etherpad Lite rocks my socks' if you still want to start it as root"
+ read rocks
+ if [ ! $rocks = "Etherpad Lite rocks my socks" ]
+ then
+ echo "You're input was wrong"
+ exit 1
+ fi
fi
#prepare the enviroment